Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I want the previous version of FF. FF 4.0 is too damn unstable!!

  • No replies
  • 1 has this problem
more options

Duplicate post, continue here - https://support.mozilla.com/en-US/que.../805138

Cripes.... your support is sucking too. I had to restart my problem here.

Anyways I do not like FF 4.0. The new supposedly features are worthless. The main issue is that FF 4.0 crashes constantly throughout the day. I can't find anywhere on the site a place to download the previous FF version. I will not use FF 4.0!!!

Modified by TonyE